%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Selenium-Remote-Driver
Version:       0.2202
Release:       1mamba
Summary:       Selenium::Remote - Perl Client for Selenium Remote Driver
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/G/GE/GEMPESAW/Selenium-Remote-Driver-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Archive-Zip
BuildRequires: perl-HTTP-Message
BuildRequires: perl-JSON
BuildRequires: perl-Moo
BuildRequires: perl-Sub-Install
BuildRequires: perl-Test-LongString
BuildRequires: perl-Try-Tiny
BuildRequires: perl-devel
BuildRequires: perl-libwww
BuildRequires: perl-namespace-clean
## AUTOBUILDREQ-END
BuildRequires: perl-LWP-Protocol-PSGI
#BuildRequires: perl-Test-LWP-UserAgent
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Perl Client for Selenium Remote Driver.

%prep
%setup -q -n Selenium-Remote-Driver-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README.md

%changelog
* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 0.2202-1mamba
- automatic update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2102-1mamba
- package created using the webbuild interface
